DfRefactor - Feature #126

Reindent comment, if not space before then please do not indent
03/08/2019 01:38 PM - Wil van Antwerpen

Status: Resolved Start date: 03/08/2019
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

On behalf of Marco28 at discord chat

Hi Wil

The // indent is exact as | asked and most of the time perfect. Just one exception would be good. If it was not indented then leave
alone. But when even only one space or tab is before the // at the front then replace with the correct indent. Is that possible?

@Wil the reason of the two // is the ctrl/ commenting of code vs the documentation of code. Once indented you cannot do the Ctrl/ to
indent. However if there is a choice then | prefer to have the indented comments. Perhaps a flag for ‘reindent comments’ which would
leave them alone if not selected irrespective of the start position.

Related issues:
Related to DfRefactor - Suggestion #185: Comments at column 0 should not be ... New 01/17/2021

History

#1 - 03/08/2019 06:26 PM - Wil van Antwerpen

- Status changed from New to Resolved

The reindent request "don't indent on comment lines at column 0" is implemented and can be controlled by property pbReindentStudioCommentOut
... I'm not sure that | will keep that property set to true. Don't really like it much. If you run the reindenter over code then normally you are at least
going to check the code in. At that stage | think it is usually best to get rid of commented out code. If you want to keep it then it probably isn't a very
big deal if it is indented

#2 - 08/12/2022 12:41 PM - Wil van Antwerpen
- Related to Suggestion #185: Comments at column 0 should not be indented added
